Index: Makefile.am
===================================================================
--- Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -6,5 +6,5 @@
 endif
 
-PACKAGES=findexec omalloc $(USE_FACTORY) libpolys kernel numeric Singular IntegerProgramming gfanlib dyn_modules dox
+PACKAGES=resources omalloc $(USE_FACTORY) libpolys kernel numeric Singular IntegerProgramming gfanlib dyn_modules dox
 
 SUBDIRS =$(PACKAGES)
Index: Singular/Makefile.am
===================================================================
--- Singular/Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ Singular/Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -209,5 +209,5 @@
 Singular Singularg ESingular TSingular $(optional_Singular_programs): ${abs_builddir}/LIB
 
-AMLDFLAGS = -L${top_builddir}/Singular -L${top_builddir}/numeric -L${top_builddir}/kernel -L${top_builddir}/libpolys/polys  -L${top_builddir}/libpolys/coeffs -L${top_builddir}/libpolys/reporter -L${top_builddir}/libpolys/misc $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/findexec
+AMLDFLAGS = -L${top_builddir}/Singular -L${top_builddir}/numeric -L${top_builddir}/kernel -L${top_builddir}/libpolys/polys  -L${top_builddir}/libpolys/coeffs -L${top_builddir}/libpolys/reporter -L${top_builddir}/libpolys/misc $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/resources
 
 Singular_CFLAGS = -O3 -fomit-frame-pointer ${PIPE}
@@ -223,6 +223,6 @@
 Singularg_SOURCES = tesths.cc fegetopt.c fegetopt.h utils.cc  utils.h
 
-Singular_LDADD = libSingular.la ${top_builddir}/numeric/libnumeric.la ${top_builddir}/kernel/libkernel.la ${top_builddir}/libpolys/polys/libpolys.la -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lfindexec $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
-Singularg_LDADD = libSingular_g.la ${top_builddir}/numeric/libnumeric_g.la ${top_builddir}/kernel/libkernel_g.la ${top_builddir}/libpolys/polys/libpolys_g.la -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lfindexec_g $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
+Singular_LDADD = libSingular.la ${top_builddir}/numeric/libnumeric.la ${top_builddir}/kernel/libkernel.la ${top_builddir}/libpolys/polys/libpolys.la -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lresources $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
+Singularg_LDADD = libSingular_g.la ${top_builddir}/numeric/libnumeric_g.la ${top_builddir}/kernel/libkernel_g.la ${top_builddir}/libpolys/polys/libpolys_g.la -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lresources_g $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
 
 Singular_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG
@@ -245,6 +245,6 @@
 nodist_Singulardg_SOURCES =  libSingular_g.la
 
-Singulard_LDADD = libSingular.la -lnumeric -lkernel -lpolys -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lfindexec $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
-Singulardg_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lfindexec_g $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
+Singulard_LDADD = libSingular.la -lnumeric -lkernel -lpolys -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lresources $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
+Singulardg_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lresources_g $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
 
 Singulard_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG
@@ -261,5 +261,5 @@
 ESingular_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG -DESINGULAR -DPROTO
 ESingular_LDFLAGS = -static ${AMLDFLAGS}
-ESingular_LDADD =   -lreporter -lmisc -lomalloc -lfindexec
+ESingular_LDADD =   -lreporter -lmisc -lomalloc -lresources
 
 ESingular_SOURCES = emacs.cc fegetopt.c fegetopt.h feOptES.inc feOpt.cc
@@ -271,5 +271,5 @@
 TSingular_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG -DTSINGULAR -DPROTO
 TSingular_LDFLAGS = -static ${AMLDFLAGS}
-TSingular_LDADD =   -lreporter -lmisc -lomalloc -lfindexec
+TSingular_LDADD =   -lreporter -lmisc -lomalloc -lresources
 
 TSingular_SOURCES = emacs.cc fegetopt.c fegetopt.h feOptTS.inc feOpt.cc
@@ -336,6 +336,6 @@
 test_s_g_SOURCES = test.cc
 
-test_s_r_LDADD = libSingular.la -lnumeric -lkernel -lpolys -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lfindexec $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
-test_s_g_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lfindexec_g $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
+test_s_r_LDADD = libSingular.la -lnumeric -lkernel -lpolys -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lresources $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
+test_s_g_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lresources_g $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
 
 test_s_r_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG
@@ -357,6 +357,6 @@
 test_d_g_SOURCES = test.cc
 
-test_d_r_LDADD = libSingular.la -lnumeric -lkernel -lpolys -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lfindexec $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
-test_d_g_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lfindexec_g $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
+test_d_r_LDADD = libSingular.la -lnumeric -lkernel -lpolys -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lresources $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
+test_d_g_LDADD = libSingular_g.la -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lresources_g $(FLINT_LIBS) $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD} ${EMBED_PYOBJECT_LDFLAGS}
 
 test_d_r_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG
Index: Singular/emacs.cc
===================================================================
--- Singular/emacs.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ Singular/emacs.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -27,5 +27,5 @@
 #include <omalloc/omalloc.h>
 #include <Singular/version.h>
-#include <findexec/feResource.h>
+#include <resources/feResource.h>
 #include <Singular/feOpt.h>
 
Index: Singular/fehelp.cc
===================================================================
--- Singular/fehelp.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ Singular/fehelp.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -22,5 +22,5 @@
 #include <reporter/reporter.h>
 
-#include <findexec/omFindExec.h>
+#include <resources/omFindExec.h>
 
 #include <Singular/si_signals.h>
Index: Singular/test.cc
===================================================================
--- Singular/test.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ Singular/test.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -14,6 +14,6 @@
 #include <reporter/reporter.h>
 
-#include <findexec/feFopen.h>
-#include <findexec/feResource.h>
+#include <resources/feFopen.h>
+#include <resources/feResource.h>
 
 #include <coeffs/coeffs.h>
Index: configure.ac
===================================================================
--- configure.ac	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ configure.ac	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -174,5 +174,5 @@
 AC_CONFIG_FILES([dox/Makefile])
 
-AC_CONFIG_SUBDIRS([findexec])
+AC_CONFIG_SUBDIRS([resources])
 AC_CONFIG_SUBDIRS([omalloc])
 
Index: dyn_modules/bigintm/Makefile.am
===================================================================
--- dyn_modules/bigintm/Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ dyn_modules/bigintm/Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -37,5 +37,5 @@
 AMLDFLAGS	= 
 # -L${top_builddir}/Singular -L${top_builddir}/numeric -L${top_builddir}/kernel \
-# -L${top_builddir}/libpolys/polys $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/findexec
+# -L${top_builddir}/libpolys/polys $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/resources
 
 
Index: dyn_modules/callgfanlib/Makefile.am
===================================================================
--- dyn_modules/callgfanlib/Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ dyn_modules/callgfanlib/Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -32,5 +32,5 @@
 #AMLDFLAGS	=  -L${abs_top_builddir}/gfanlib/
 # -L${top_builddir}/Singular -L${top_builddir}/numeric -L${top_builddir}/kernel \
-# -L${top_builddir}/libpolys/polys $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/findexec
+# -L${top_builddir}/libpolys/polys $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/resources
 
 
Index: dyn_modules/syzextra/Makefile.am
===================================================================
--- dyn_modules/syzextra/Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ dyn_modules/syzextra/Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -36,5 +36,5 @@
 AMLDFLAGS	= 
 # -L${top_builddir}/Singular -L${top_builddir}/numeric -L${top_builddir}/kernel \
-# -L${top_builddir}/libpolys/polys $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/findexec
+# -L${top_builddir}/libpolys/polys $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/resources
 
 
Index: factory/configure.ac
===================================================================
--- factory/configure.ac	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ factory/configure.ac	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -383,5 +383,5 @@
   if test "x$with_omalloc_extra_dir" != "x"; then
     OMALLOC_CFLAGS="$OMALLOC_CFLAGS -I${with_omalloc_extra_dir}"
-    OMALLOC_LDFLAGS="$OMALLOC_LDFLAGS -L${with_omalloc_extra_dir}/omalloc -L${with_omalloc_extra_dir}/findexec"
+    OMALLOC_LDFLAGS="$OMALLOC_LDFLAGS -L${with_omalloc_extra_dir}/omalloc -L${with_omalloc_extra_dir}/resources"
   fi
   
@@ -396,6 +396,6 @@
   CPPFLAGS="$CPPFLAGS_save"
 
-  OMALLOC_G_LDADD="-lfindexec_g -lomalloc_g"
-  OMALLOC_R_LDADD="-lfindexec -lomalloc"
+  OMALLOC_G_LDADD="-lresources_g -lomalloc_g"
+  OMALLOC_R_LDADD="-lresources -lomalloc"
   
   AC_DEFINE(HAVE_OMALLOC, 1, [omalloc support])
Index: factory/singext.h
===================================================================
--- factory/singext.h	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ factory/singext.h	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -9,5 +9,5 @@
 #include <factory/cf_gmp.h>
 
-#include <findexec/feFopen.h>
+#include <resources/feFopen.h>
 
 /*BEGINPUBLIC*/
Index: factory/test.cc
===================================================================
--- factory/test.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ factory/test.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -1,4 +1,4 @@
 #include <factory/factory.h>
-#include <findexec/feFopen.h>
+#include <resources/feFopen.h>
 
 int mmInit(void) {
Index: kernel/Makefile.am
===================================================================
--- kernel/Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ kernel/Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -86,5 +86,5 @@
 endif
 
-AMLDFLAGS = -L${top_builddir}/kernel -L${top_builddir}/libpolys/polys -L${top_builddir}/libpolys/coeffs -L${top_builddir}/libpolys/reporter  -L${top_builddir}/libpolys/misc $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/findexec
+AMLDFLAGS = -L${top_builddir}/kernel -L${top_builddir}/libpolys/polys -L${top_builddir}/libpolys/coeffs -L${top_builddir}/libpolys/reporter  -L${top_builddir}/libpolys/misc $(USE_FACTORY) -L${top_builddir}/omalloc -L${top_builddir}/resources
 
 
@@ -110,6 +110,6 @@
 test_s_g_SOURCES = $(testsources)
 
-test_s_r_LDADD = -lkernel -lpolys -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lfindexec $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD}
-test_s_g_LDADD = -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lfindexec_g $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD}
+test_s_r_LDADD = -lkernel -lpolys -lcoeffs -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lresources $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD}
+test_s_g_LDADD = -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lresources_g $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD}
 
 test_s_r_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG
@@ -129,6 +129,6 @@
 test_d_g_SOURCES = $(testsources)
 
-test_d_r_LDADD = -lkernel -lpolys -lcoeffs  -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lfindexec $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD}
-test_d_g_LDADD = -lkernel_g -lpolys_g -lcoeffs_g  -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lfindexec_g $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD}
+test_d_r_LDADD = -lkernel -lpolys -lcoeffs  -lreporter -lmisc $(FACTORY_LIBS) -lomalloc -lresources $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS} ${USEPPROCSDYNAMICLD}
+test_d_g_LDADD = -lkernel_g -lpolys_g -lcoeffs_g  -lreporter_g -lmisc_g $(FACTORY_LIBS) -lomalloc_g -lresources_g $(NTL_LIBS) $(GMP_LIBS) ${USEPPROCSDYNAMICLDFLAGS}  ${USEPPROCSDYNAMICLD}
 
 test_d_r_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG
Index: kernel/febase.h
===================================================================
--- kernel/febase.h	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ kernel/febase.h	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -10,5 +10,5 @@
 #include <reporter/reporter.h>
 
-#include <findexec/feResource.h>
+#include <resources/feResource.h>
 
 #include <kernel/structs.h>
Index: kernel/test.cc
===================================================================
--- kernel/test.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ kernel/test.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -15,6 +15,6 @@
 #include <reporter/reporter.h>
 
-#include <findexec/feFopen.h>
-#include <findexec/feResource.h>
+#include <resources/feFopen.h>
+#include <resources/feResource.h>
 
 #include <coeffs/coeffs.h>
Index: libpolys/coeffs/Makefile.am
===================================================================
--- libpolys/coeffs/Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/coeffs/Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -51,5 +51,5 @@
 endif
 
-AMLDFLAGS = -L${top_builddir}/coeffs -L${top_builddir}/reporter -L${top_builddir}/misc ${USE_FACTORY} -L${top_builddir}/../omalloc -L${top_builddir}/../findexec
+AMLDFLAGS = -L${top_builddir}/coeffs -L${top_builddir}/reporter -L${top_builddir}/misc ${USE_FACTORY} -L${top_builddir}/../omalloc -L${top_builddir}/../resources
 
 TESTS_ENVIRONMENT = SINGULARPATH='${top_srcdir}/../factory:${top_builddir}/../factory'
@@ -70,9 +70,9 @@
 
 
-test_s_r_LDADD = -lcoeffs -lreporter -lmisc ${FACTORY_LIBS} -lomalloc -lfindexec ${NTL_LIBS} ${GMP_LIBS} 
-test_s_g_LDADD = -lcoeffs_g -lreporter_g -lmisc_g ${FACTORY_LIBS} -lomalloc_g -lfindexec_g ${NTL_LIBS} ${GMP_LIBS} 
+test_s_r_LDADD = -lcoeffs -lreporter -lmisc ${FACTORY_LIBS} -lomalloc -lresources ${NTL_LIBS} ${GMP_LIBS} 
+test_s_g_LDADD = -lcoeffs_g -lreporter_g -lmisc_g ${FACTORY_LIBS} -lomalloc_g -lresources_g ${NTL_LIBS} ${GMP_LIBS} 
 
-test_d_r_LDADD = -lcoeffs -lreporter -lmisc ${FACTORY_LIBS} -lomalloc -lfindexec ${NTL_LIBS} ${GMP_LIBS} 
-test_d_g_LDADD = -lcoeffs_g -lreporter_g -lmisc_g ${FACTORY_LIBS} -lomalloc_g -lfindexec_g ${NTL_LIBS} ${GMP_LIBS} 
+test_d_r_LDADD = -lcoeffs -lreporter -lmisc ${FACTORY_LIBS} -lomalloc -lresources ${NTL_LIBS} ${GMP_LIBS} 
+test_d_g_LDADD = -lcoeffs_g -lreporter_g -lmisc_g ${FACTORY_LIBS} -lomalloc_g -lresources_g ${NTL_LIBS} ${GMP_LIBS} 
 
 
Index: libpolys/coeffs/bigintmat.h
===================================================================
--- libpolys/coeffs/bigintmat.h	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/coeffs/bigintmat.h	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -10,5 +10,5 @@
 
 #include <omalloc/omalloc.h>
-#include <findexec/feFopen.h>
+#include <resources/feFopen.h>
 #include <coeffs/coeffs.h>
 
Index: libpolys/coeffs/test.cc
===================================================================
--- libpolys/coeffs/test.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/coeffs/test.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -9,5 +9,5 @@
 
 #include <reporter/reporter.h>
-#include <findexec/feResource.h>
+#include <resources/feResource.h>
 
 #include <coeffs/coeffs.h>
Index: libpolys/libpolys-config.in
===================================================================
--- libpolys/libpolys-config.in	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/libpolys-config.in	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -79,9 +79,9 @@
 
     --libsg)
-	${ECHOn} " -L${libdir} -L${libdir}/singular -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g @FACTORY_LIBS@ -lomalloc_g -lfindexec_g @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
+	${ECHOn} " -L${libdir} -L${libdir}/singular -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g @FACTORY_LIBS@ -lomalloc_g -lresources_g @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
 	;;
 
     --libs)
-	${ECHOn} " -L${libdir} -L${libdir}/singular -lpolys -lcoeffs -lreporter -lmisc @FACTORY_LIBS@ -lomalloc -lfindexec @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
+	${ECHOn} " -L${libdir} -L${libdir}/singular -lpolys -lcoeffs -lreporter -lmisc @FACTORY_LIBS@ -lomalloc -lresources @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
 	;;
 
Index: libpolys/misc/intvec.cc
===================================================================
--- libpolys/misc/intvec.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/misc/intvec.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -12,5 +12,5 @@
 #include <misc/auxiliary.h>
 
-// #include <findexec/feFopen.h>
+// #include <resources/feFopen.h>
 #include <misc/intvec.h>
 #include <misc/options.h>
Index: libpolys/polys/Makefile.am
===================================================================
--- libpolys/polys/Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/polys/Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -160,6 +160,6 @@
 templates_p_Procs_Generate_CPPFLAGS = ${NODEBUGDEFS} ${USE_P_PROCS_STATIC} ${AM_CPPFLAGS}
 
-templates_p_Procs_Generate_LDADD    = -lreporter -lmisc -lomalloc -lfindexec
-templates_p_Procs_Generate_LDFLAGS  = -L${builddir} -L${top_builddir}/coeffs -L${top_builddir}/reporter -L${top_builddir}/misc -L${top_builddir}/../omalloc -L${top_builddir}/../findexec
+templates_p_Procs_Generate_LDADD    = -lreporter -lmisc -lomalloc -lresources
+templates_p_Procs_Generate_LDFLAGS  = -L${builddir} -L${top_builddir}/coeffs -L${top_builddir}/reporter -L${top_builddir}/misc -L${top_builddir}/../omalloc -L${top_builddir}/../resources
 
 templates/p_Procs.inc: templates/p_Procs_Generate$(EXEEXT)
Index: libpolys/polys/mod_raw.cc
===================================================================
--- libpolys/polys/mod_raw.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/polys/mod_raw.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -26,5 +26,5 @@
 #include <reporter/reporter.h>
 
-#include <findexec/feResource.h>
+#include <resources/feResource.h>
 
 #include "mod_raw.h"
Index: libpolys/reporter/reporter.cc
===================================================================
--- libpolys/reporter/reporter.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/reporter/reporter.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -21,6 +21,6 @@
 
 #include <reporter/reporter.h>
-#include <findexec/feResource.h>
-#include <findexec/feFopen.h>
+#include <resources/feResource.h>
+#include <resources/feFopen.h>
 #include <omalloc/omalloc.h>
 //#include "options.h"
Index: libpolys/reporter/reporter.h
===================================================================
--- libpolys/reporter/reporter.h	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/reporter/reporter.h	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -10,5 +10,5 @@
 #include <string.h>
 #include <misc/auxiliary.h>
-#include <findexec/feFopen.h>
+#include <resources/feFopen.h>
 
 extern char*  feErrors;
Index: libpolys/tests/Makefile.am
===================================================================
--- libpolys/tests/Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/tests/Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -105,5 +105,5 @@
 endif
 
-AM_LDFLAGS = -L${top_builddir}/polys -L${top_builddir}/coeffs -L${top_builddir}/reporter -L${top_builddir}/misc ${USE_FACTORY} -L${top_builddir}/../omalloc -L${top_builddir}/../findexec
+AM_LDFLAGS = -L${top_builddir}/polys -L${top_builddir}/coeffs -L${top_builddir}/reporter -L${top_builddir}/misc ${USE_FACTORY} -L${top_builddir}/../omalloc -L${top_builddir}/../resources
 
 
@@ -125,18 +125,18 @@
 
 
-coeffs_test_s_r_LDADD = -lcoeffs -lreporter -lmisc ${FACTORY_LIBS} -lomalloc -lfindexec ${NTL_LIBS} ${GMP_LIBS} 
-polys_test_s_r_LDADD = -lpolys -lcoeffs -lreporter -lmisc ${USEPPROCSDYNAMICLD} ${FACTORY_LIBS} -lomalloc -lfindexec ${NTL_LIBS} ${GMP_LIBS} 
+coeffs_test_s_r_LDADD = -lcoeffs -lreporter -lmisc ${FACTORY_LIBS} -lomalloc -lresources ${NTL_LIBS} ${GMP_LIBS} 
+polys_test_s_r_LDADD = -lpolys -lcoeffs -lreporter -lmisc ${USEPPROCSDYNAMICLD} ${FACTORY_LIBS} -lomalloc -lresources ${NTL_LIBS} ${GMP_LIBS} 
 rings_test_s_r_LDADD = $(polys_test_s_r_LDADD)
 
-coeffs_test_s_g_LDADD = -lcoeffs_g -lreporter_g -lmisc_g ${FACTORY_LIBS} -lomalloc_g -lfindexec_g ${NTL_LIBS} ${GMP_LIBS} 
-polys_test_s_g_LDADD = -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g ${USEPPROCSDYNAMICLD} ${FACTORY_LIBS} -lomalloc_g -lfindexec_g ${NTL_LIBS} ${GMP_LIBS} 
+coeffs_test_s_g_LDADD = -lcoeffs_g -lreporter_g -lmisc_g ${FACTORY_LIBS} -lomalloc_g -lresources_g ${NTL_LIBS} ${GMP_LIBS} 
+polys_test_s_g_LDADD = -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g ${USEPPROCSDYNAMICLD} ${FACTORY_LIBS} -lomalloc_g -lresources_g ${NTL_LIBS} ${GMP_LIBS} 
 rings_test_s_g_LDADD = $(polys_test_s_g_LDADD)
 
-coeffs_test_d_r_LDADD = -lcoeffs -lreporter -lmisc ${FACTORY_LIBS} -lomalloc -lfindexec ${NTL_LIBS} ${GMP_LIBS} 
-polys_test_d_r_LDADD = -lpolys -lcoeffs -lreporter -lmisc ${USEPPROCSDYNAMICLD} ${FACTORY_LIBS} -lomalloc -lfindexec ${NTL_LIBS} ${GMP_LIBS}
+coeffs_test_d_r_LDADD = -lcoeffs -lreporter -lmisc ${FACTORY_LIBS} -lomalloc -lresources ${NTL_LIBS} ${GMP_LIBS} 
+polys_test_d_r_LDADD = -lpolys -lcoeffs -lreporter -lmisc ${USEPPROCSDYNAMICLD} ${FACTORY_LIBS} -lomalloc -lresources ${NTL_LIBS} ${GMP_LIBS}
 rings_test_d_r_LDADD = $(polys_test_d_r_LDADD)
 
-coeffs_test_d_g_LDADD = -lcoeffs_g -lreporter_g -lmisc_g ${FACTORY_LIBS} -lomalloc_g -lfindexec_g ${NTL_LIBS} ${GMP_LIBS} 
-polys_test_d_g_LDADD = -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g ${USEPPROCSDYNAMICLD} ${FACTORY_LIBS} -lomalloc_g -lfindexec_g ${NTL_LIBS} ${GMP_LIBS}
+coeffs_test_d_g_LDADD = -lcoeffs_g -lreporter_g -lmisc_g ${FACTORY_LIBS} -lomalloc_g -lresources_g ${NTL_LIBS} ${GMP_LIBS} 
+polys_test_d_g_LDADD = -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g ${USEPPROCSDYNAMICLD} ${FACTORY_LIBS} -lomalloc_g -lresources_g ${NTL_LIBS} ${GMP_LIBS}
 rings_test_d_g_LDADD = $(polys_test_d_g_LDADD)
 
Index: libpolys/tests/coeffs_test.h
===================================================================
--- libpolys/tests/coeffs_test.h	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/tests/coeffs_test.h	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -5,5 +5,5 @@
 
 #include <reporter/reporter.h>
-#include <findexec/feResource.h>
+#include <resources/feResource.h>
 
 #include <coeffs/coeffs.h>
Index: libpolys/tests/common.h
===================================================================
--- libpolys/tests/common.h	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libpolys/tests/common.h	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -18,5 +18,5 @@
 
 #include <reporter/reporter.h>
-#include <findexec/feResource.h>
+#include <resources/feResource.h>
 
 #ifndef PLURAL_INTERNAL_DECLARATIONS
Index: libsingular-config.in
===================================================================
--- libsingular-config.in	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ libsingular-config.in	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -77,9 +77,9 @@
 
     --libsg)
-	${ECHOn} " -L${libdir} -L${libdir}/singular -lSingular_g -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g @FACTORY_LIBS@ -lomalloc_g -lfindexec_g @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
+	${ECHOn} " -L${libdir} -L${libdir}/singular -lSingular_g -lnumeric_g -lkernel_g -lpolys_g -lcoeffs_g -lreporter_g -lmisc_g @FACTORY_LIBS@ -lomalloc_g -lresources_g @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
 	;;
 
     --libs)
-	${ECHOn} " -L${libdir} -L${libdir}/singular -lSingular -lnumeric -lkernel -lpolys -lcoeffs -lreporter -lmisc @FACTORY_LIBS@ -lomalloc -lfindexec @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
+	${ECHOn} " -L${libdir} -L${libdir}/singular -lSingular -lnumeric -lkernel -lpolys -lcoeffs -lreporter -lmisc @FACTORY_LIBS@ -lomalloc -lresources @NTL_LIBS@ @USEPPROCSDYNAMICLD@ @GMP_LIBS@" 
 	;;
 
Index: resources/Makefile.am
===================================================================
--- resources/Makefile.am	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ resources/Makefile.am	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -2,34 +2,34 @@
 
 if WANT_DEBUG
-  LIB_G=libfindexec_g.la
+  LIB_G=libresources_g.la
 else
   LIB_G=
 endif
 
-libfindexec_LTLIBRARIES = libfindexec.la ${LIB_G}
-libfindexecdir = $(libdir)/
+libresources_LTLIBRARIES = libresources.la ${LIB_G}
+libresourcesdir = $(libdir)/
 
 CXXTEMPLFLAGS =-ftrapv 
 ### -fno-implicit-templates
 
-libfindexec_la_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
-libfindexec_g_la_CFLAGS = ${PIPE}
+libresources_la_CFLAGS   = -O3 -fomit-frame-pointer ${PIPE}
+libresources_g_la_CFLAGS = ${PIPE}
 
-libfindexec_la_CXXFLAGS   = -O3 -fomit-frame-pointer ${PIPE} ${CXXTEMPLFLAGS} -fno-exceptions -fno-rtti
-libfindexec_g_la_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
+libresources_la_CXXFLAGS   = -O3 -fomit-frame-pointer ${PIPE} ${CXXTEMPLFLAGS} -fno-exceptions -fno-rtti
+libresources_g_la_CXXFLAGS = -g -Wextra -Wall -pedantic -Wno-long-long ${PIPE} ${CXXTEMPLFLAGS}
 # -fdiagnostics-show-option 
 
 AM_CPPFLAGS = -I${top_srcdir} -I${top_builddir} 
 
-libfindexec_la_CPPFLAGS   = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG
-libfindexec_g_la_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H 
+libresources_la_CPPFLAGS   = ${AM_CPPFLAGS} -DHAVE_CONFIG_H -DNDEBUG -DOM_NDEBUG
+libresources_g_la_CPPFLAGS = ${AM_CPPFLAGS} -DHAVE_CONFIG_H 
 
 SOURCES  = omFindExec.c feResource.cc feFopen.cc
-libfindexec_la_SOURCES   = $(SOURCES)
-libfindexec_g_la_SOURCES = $(SOURCES)
+libresources_la_SOURCES   = $(SOURCES)
+libresources_g_la_SOURCES = $(SOURCES)
 
-libfindexec_includedir  =$(includedir)/findexec/
+libresources_includedir  =$(includedir)/resources/
 
-libfindexec_include_HEADERS = omFindExec.h feResource.h feFopen.h
+libresources_include_HEADERS = omFindExec.h feResource.h feFopen.h
 
 
Index: resources/configure.ac
===================================================================
--- resources/configure.ac	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ resources/configure.ac	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -1,3 +1,3 @@
-AC_INIT([libfindexec], [3.1.4.sw])
+AC_INIT([libresources], [3.1.4.sw])
 
 AC_CONFIG_MACRO_DIR([../m4])
Index: standalone.test/test.cc
===================================================================
--- standalone.test/test.cc	(revision 02d3d641de579bc515b51a2769fe96f9149cd067)
+++ standalone.test/test.cc	(revision 2c889feac51678743ef6b5578f907f6042a0698f)
@@ -6,5 +6,5 @@
 
 #include <reporter/reporter.h>
-#include <findexec/feResource.h>
+#include <resources/feResource.h>
 
 #ifdef HAVE_FACTORY
